Bug 89059 - kdesktop_lock crashes on relogin - krb5/ldap
kdesktop_lock crashes on relogin - krb5/ldap
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 20:57 EDT by e stauffer
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:08:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description e stauffer 2003-04-16 20:57:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
Using krb5 authentication and ldap user information (nss_ldap)
Can login from kdm fine.  However, after a few hours (krb ticket
expired?), kdesktop_lock crashes at relogin.
Screensaver is left running.

Dump:
(no debugging symbols found)...0x40dd4587 in waitpid ()
   from /lib/libpthread.so.0
#0  0x40dd4587 in waitpid () from /lib/libpthread.so.0
#1  0x405ae1e5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#2  0x40dd31cd in __pthread_clock_settime () from /lib/libpthread.so.0
#3  0x40f52568 in killpg () from /lib/libc.so.6
#4  0x08052bd2 in PasswordDlg::passwordQueryMsg(bool) ()
#5  0x08052198 in PasswordDlg::PasswordDlg(QWidget*) ()
#6  0x08050d43 in LockProcess::showPassDlg() ()
#7  0x08050fc5 in LockProcess::x11Event(_XEvent*) ()
#8  0x4054826f in KApplication::x11EventFilter(_XEvent*) ()
   from /usr/lib/libkdecore.so.4
#9  0x407e4bb6 in qt_x11EventFilter(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#10 0x407ee827 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#11 0x407ee52f in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#12 0x4084f280 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#13 0x407ee02d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#14 0x08052ecf in main ()
#15 0x40f3f907 in __libc_start_main () from /lib/libc.so.6

RPMS:
glibc-2.3.2-4.80.i686.rpm
pam_krb5-1.56-1.i386.rpm
krb5-workstation-1.2.5-15.i386.rpm
krb5-libs-1.2.5-15.i386.rpm
nss_ldap-198-3.i386.rpm
openldap-2.0.27-2.8.0.i386.rpm
openldap-clients-2.0.27-2.8.0.i386.rpm
kernel-2.4.18-27.8.0.athlon.rpm  (exact same problem on i686)




Version-Release number of selected component (if applicable):
kdebase-3.0.3-14.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.use krb5 authentication/ldap user info
2.use kdm/kdesktop_lock
3.wait for krb ticket to expire, go to login at desktop lock
    

Actual Results:  K Crash report dialog comes up...with some sign that screensaver
is still running (rocks makes a sort of leopard spot pattern on
the dialog). Desktop is unlocked.

Expected Results:  Login should have gone as expected.

Additional info:

Major blocker for RH Linux deployment to replace MS Windows
Comment 1 e stauffer 2003-05-20 16:31:34 EDT
Upgrade to KDE 3.0.5a-4 packages has solved crash problem.
User information still not properly being established at login.
Errors:
  id: missing name for uid xxxx
  id: missing name for gid xxxx
Comment 2 Ngo Than 2003-06-02 16:21:33 EDT
there is a KDE 3.1.1a on ftp.kde.org for RHL 8. Does it fix this problem, if you
upgraded to KDE 3.1.1a?
Comment 3 e stauffer 2003-06-03 14:11:35 EDT
No.  After applying 3.1.1a user can not login.
Have to use root access to kill off desktop_lock program.
No sign that kcheckpass attempted to use pam_krb5 module.
Any thoughts on which pam.d file this build is using?

Additional note: Similar problem under RH9.  Only worse....
root can not login either.  This is using the same ldap.conf
and krb5.conf files and same system dialogs to set settings.

Additional note: Can not use nscd without total lockout issue on RH8.
Comment 4 Ngo Than 2003-06-10 15:06:33 EDT
does it work if you change the permission of kcheckpass?

 chmod 4755 /usr/bin/kcheckpass
Comment 5 e stauffer 2003-06-17 17:06:50 EDT
Nope.  suid on kcheckpass makes no difference.

More info:
The password prompt comes up with no username.  A "kinit" is not
being done when the screen is unlocked.  Running kinit in a console
will solve all 'problems' concerning the lack of system 'recognition'
of the user.
Comment 6 e stauffer 2003-07-24 21:02:15 EDT
Errors:
  id: missing name for uid xxxx
  id: missing name for gid xxxx

Issue resolved.  Must run nscd as user root.  Better to run
nscd in 'secure' mode.  Must do the following:
1) comment out server-user line in nscd.conf
2) change /etc/init.d/nscd line with secure="" to
   secure="-S passwd,yes -S group, yes"
3) change chkconfig line in /etc/init.d/nscd so as to 
   setup valid start init levels, then chkconfig --del and --add

Comment 7 e stauffer 2003-07-24 21:08:21 EDT
Problems with RH9:

ldap client programs crash.  Can not run ldapsearch.
Can not use ldap in nsswitch.

gdb output:
Program received signal SIGSEGV, Segmentation fault.
0x00000000 in ?? ()
(gdb) where
#0  0x00000000 in ?? ()
#1  0x40037576 in ldap_pvt_tls_check_hostname () from /usr/lib/libldap.so.2
#2  0x40037cbe in ldap_int_tls_start () from /usr/lib/libldap.so.2
#3  0x4001c55f in ldap_int_open_connection () from /usr/lib/libldap.so.2
#4  0x4002c4ab in ldap_new_connection () from /usr/lib/libldap.so.2
#5  0x4001bf91 in ldap_open_defconn () from /usr/lib/libldap.so.2
#6  0x4002c0de in ldap_send_initial_request () from /usr/lib/libldap.so.2
#7  0x4001eee8 in ldap_search () from /usr/lib/libldap.so.2
#8  0x4001fe7b in ldap_search_s () from /usr/lib/libldap.so.2
#9  0x40025805 in ldap_pvt_sasl_getmechs () from /usr/lib/libldap.so.2
#10 0x4002593c in ldap_sasl_interactive_bind_s () from /usr/lib/libldap.so.2
#11 0x0804aec6 in strcpy ()
#12 0x402945cd in __libc_start_main () from /lib/libc.so.6

kerberos is working fine.  Can run kadmin, klist, create keytab, etc.
Comment 8 Ngo Than 2004-01-13 16:36:23 EST
assign to correct component
Comment 9 Josh Bressers 2004-06-18 15:00:26 EDT
Removing security severity.  This is not a security issue.
Comment 10 Bill Nottingham 2006-08-05 00:54:18 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 12 Bill Nottingham 2007-01-02 14:08:31 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.